Package org.jmock.cglib

# Class CGLIBCoreMock

java.lang.Object
org.jmock.core.AbstractDynamicMock
org.jmock.cglib.CGLIBCoreMock

All Implemented Interfaces:
  `net.sf.cglib.proxy.Callback`, `net.sf.cglib.proxy.MethodInterceptor`, `org.jmock.core.DynamicMock`, `org.jmock.core.Verifiable`

public class CGLIBCoreMock extends org.jmock.core.AbstractDynamicMock implements net.sf.cglib.proxy.MethodInterceptor

## Constructor Summary

Constructors
Constructor
Description
`CGLIBCoreMock(Class mockedType, String name)`
`CGLIBCoreMock(Class mockedType, String name, Class[] constructorArgumentTypes, Object[] constructorArguments)`
`CGLIBCoreMock(Class mockedType, String name, Class[] constructorArgumentTypes, Object[] constructorArguments, org.jmock.core.InvocationDispatcher invocationDispatcher)`
`CGLIBCoreMock(Class mockedType, String name, org.jmock.core.InvocationDispatcher invocationDispatcher)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`intercept(Object thisProxy, Method method, Object[] args, net.sf.cglib.proxy.MethodProxy superProxy)`
`Object`
`proxy()`

### Methods inherited from class org.jmock.core.AbstractDynamicMock

`addInvokable, getMockedType, getMockName, mockInvocation, mockNameFromClass, reset, setDefaultStub, toString, verify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CGLIBCoreMock

public CGLIBCoreMock(Class mockedType, String name)

### CGLIBCoreMock

public CGLIBCoreMock(Class mockedType, String name, Class[] constructorArgumentTypes, Object[] constructorArguments)

### CGLIBCoreMock

public CGLIBCoreMock(Class mockedType, String name, org.jmock.core.InvocationDispatcher invocationDispatcher)

### CGLIBCoreMock

public CGLIBCoreMock(Class mockedType, String name, Class[] constructorArgumentTypes, Object[] constructorArguments, org.jmock.core.InvocationDispatcher invocationDispatcher)

## Method Details

### proxy

public Object proxy()

Specified by:
  `proxy` in interface `org.jmock.core.DynamicMock`
Specified by:
  `proxy` in class `org.jmock.core.AbstractDynamicMock`

### intercept

public Object intercept(Object thisProxy, Method method, Object[] args, net.sf.cglib.proxy.MethodProxy superProxy) throws Throwable

Specified by:
  `intercept` in interface `net.sf.cglib.proxy.MethodInterceptor`
Throws:
  `Throwable`